import React, {Fragment, useEffect} from 'react'
import Bottom from './../Bottom/index'
import './index.css'
import {Outlet, useLocation} from 'react-router-dom'
import DetailSearchBar from "../../components/DetailSearchBar";
import dayjs from "dayjs";
import {dayStartUtcFormat, nextDayStartUtcFormat} from "../../utils/timeFormatUtil";


const Home = () => {

    const location = useLocation();
    console.log("Home", location);
    const searchUrl = location?.state?.search;
    const [pName, setName] = React.useState("");
    const [search, setSearch] = React.useState()
    const updateSearch = (values) => {
        setSearch(values);
    };
    useEffect(() => {
        setSearch(searchUrl ? searchUrl : {
            "pageSize": 20,
            "pageNumber": 1,
            "data": {
                "orSearchModel": {
                    "andList": [
                        {"name": "state", "value": "8,9", "operateType": "IN"},
                    ],
                    "andSearchModel": {
                        "andList": [
                            {
                                "name": "expectedStartTime",
                                "value": nextDayStartUtcFormat(dayjs()),
                                "operateType": "<"
                            },
                            {
                                "name": "expectedEndTime",
                                "value": dayStartUtcFormat(dayjs()),
                                "operateType": ">"
                            }
                        ],
                        "orSearchModel": {
                            "andList": [
                                {
                                    "name": "expectedStartTime",
                                    "value": nextDayStartUtcFormat(dayjs()),
                                    "operateType": "<"
                                },
                                {
                                    "name": "expectedStartTime",
                                    "value": dayStartUtcFormat(dayjs()),
                                    "operateType": ">"
                                },
                                {
                                    "name": "expectedEndTime",
                                    "value": dayStartUtcFormat(dayjs()),
                                    "operateType": "NULL"
                                }
                            ],
                            "orSearchModel": {
                                "andList": [
                                    {
                                        "name": "expectedEndTime",
                                        "value": nextDayStartUtcFormat(dayjs()),
                                        "operateType": "<"
                                    },
                                    {
                                        "name": "expectedEndTime",
                                        "value": dayStartUtcFormat(dayjs()),
                                        "operateType": ">"
                                    },
                                    {
                                        "name": "expectedStartTime",
                                        "value": dayStartUtcFormat(dayjs()),
                                        "operateType": "NULL"
                                    }
                                ],
                            }
                        }
                    },
                },
                "andList": [
                    {"name": "state", "value": "10", "operateType": "="}
                ]
            }
        })
    },[searchUrl])
    return (
        <div className='body'>

            {
                location.pathname.endsWith("/calTask") ? (
                    <Fragment>
                        <div style={{marginBottom: "49px", width: "100%"}}>
                            <Outlet context={{"search": search}}/>
                        </div>
                    </Fragment>
                ) : (<Fragment>
                        <DetailSearchBar search={search}
                                         updateSearch={updateSearch}
                                         pName={pName}/>
                        <div style={{marginTop: "40px", marginBottom: "49px", width: "100%"}}>
                            <Outlet context={{"search": search}}/>
                        </div>
                    </Fragment>
                )
            }
            <Bottom/>
        </div>
    )
}

export default Home;